# PulpContainerClient::ContainerContainerRemoteResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | A unique name for this remote. | 
**url** | **String** | The URL of an external content source. | 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**pulp_last_updated** | **DateTime** | Timestamp of the most recent update of the remote. | [optional] [readonly] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. If not set then the default value will be used. | [optional] 
**max_retries** | **Integer** | Maximum number of retry attempts after a download failure. If not set then the default value (3) will be used. | [optional] 
**policy** | [**PolicyEnum**](PolicyEnum.md) |          immediate - All manifests and blobs are downloaded and saved during a sync.         on_demand - Only tags and manifests are downloaded. Blobs are not                     downloaded until they are requested for the first time by a client.         streamed - Blobs are streamed to the client with every request and never saved.           * &#x60;immediate&#x60; - When syncing, download all metadata and content now. * &#x60;on_demand&#x60; - When syncing, download metadata, but do not download content now. Instead, download content as clients request it, and save it in Pulp to be served for future client requests. * &#x60;streamed&#x60; - When syncing, download metadata, but do not download content now. Instead,download content as clients request it, but never save it in Pulp. This causes future requests for that same content to have to be downloaded again. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**rate_limit** | **Integer** | Limits requests per second for each concurrent downloader | [optional] 
**hidden_fields** | [**Array&lt;ContainerContainerRemoteResponseHiddenFields&gt;**](ContainerContainerRemoteResponseHiddenFields.md) | List of hidden (write only) fields | [optional] [readonly] 
**upstream_name** | **String** | Name of the upstream repository | 
**include_tags** | **Array&lt;String&gt;** |              A list of tags to include during sync.             Wildcards *, ? are recognized.             &#39;include_tags&#39; is evaluated before &#39;exclude_tags&#39;.              | [optional] 
**exclude_tags** | **Array&lt;String&gt;** |              A list of tags to exclude during sync.             Wildcards *, ? are recognized.             &#39;exclude_tags&#39; is evaluated after &#39;include_tags&#39;.              | [optional] 
**sigstore** | **String** | A URL to a sigstore to download image signatures from | [optional] 

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::ContainerContainerRemoteResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 url: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 tls_validation: null,
                                 proxy_url: null,
                                 pulp_labels: null,
                                 pulp_last_updated: null,
                                 download_concurrency: null,
                                 max_retries: null,
                                 policy: null,
                                 total_timeout: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 sock_read_timeout: null,
                                 headers: null,
                                 rate_limit: null,
                                 hidden_fields: null,
                                 upstream_name: null,
                                 include_tags: null,
                                 exclude_tags: null,
                                 sigstore: null)
```


