# PulpContainerClient::DistributionsContainerApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_role**](DistributionsContainerApi.md#add_role) | **POST** {container_container_distribution_href}add_role/ | Add a role
[**create**](DistributionsContainerApi.md#create) | **POST** /pulp/api/v3/distributions/container/container/ | Create a container distribution
[**delete**](DistributionsContainerApi.md#delete) | **DELETE** {container_container_distribution_href} | Delete a container distribution
[**list**](DistributionsContainerApi.md#list) | **GET** /pulp/api/v3/distributions/container/container/ | List container distributions
[**list_roles**](DistributionsContainerApi.md#list_roles) | **GET** {container_container_distribution_href}list_roles/ | List roles
[**my_permissions**](DistributionsContainerApi.md#my_permissions) | **GET** {container_container_distribution_href}my_permissions/ | List user permissions
[**partial_update**](DistributionsContainerApi.md#partial_update) | **PATCH** {container_container_distribution_href} | Update a container distribution
[**read**](DistributionsContainerApi.md#read) | **GET** {container_container_distribution_href} | Inspect a container distribution
[**remove_role**](DistributionsContainerApi.md#remove_role) | **POST** {container_container_distribution_href}remove_role/ | Remove a role
[**set_label**](DistributionsContainerApi.md#set_label) | **POST** {container_container_distribution_href}set_label/ | Set a label
[**unset_label**](DistributionsContainerApi.md#unset_label) | **POST** {container_container_distribution_href}unset_label/ | Unset a label
[**update**](DistributionsContainerApi.md#update) | **PUT** {container_container_distribution_href} | Update a container distribution



## add_role

> NestedRoleResponse add_role(container_container_distribution_href, nested_role)

Add a role

Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
nested_role = PulpContainerClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(container_container_distribution_href, nested_role)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> AsyncOperationResponse create(container_container_distribution)

Create a container distribution

Trigger an asynchronous create task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution = PulpContainerClient::ContainerContainerDistribution.new # ContainerContainerDistribution | 

begin
  #Create a container distribution
  result = api_instance.create(container_container_distribution)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution** | [**ContainerContainerDistribution**](ContainerContainerDistribution.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(container_container_distribution_href)

Delete a container distribution

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 

begin
  #Delete a container distribution
  result = api_instance.delete(container_container_distribution_href)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedcontainerContainerDistributionResponseList list(opts)

List container distributions

The Container Distribution will serve the latest version of a Repository if ``repository`` is specified. The Container Distribution will serve a specific repository version if ``repository_version``. Note that **either** ``repository`` or ``repository_version`` can be set on a Container Distribution, but not both.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
opts = {
  base_path: 'base_path_example', # String | Filter results where base_path matches value
  base_path__contains: 'base_path__contains_example', # String | Filter results where base_path contains value
  base_path__icontains: 'base_path__icontains_example', # String | Filter results where base_path contains value
  base_path__in: ['base_path__in_example'], # Array<String> | Filter results where base_path is in a comma-separated list of values
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__iexact: 'name__iexact_example', # String | Filter results where name matches value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__istartswith: 'name__istartswith_example', # String | Filter results where name starts with value
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  namespace__name: 'namespace__name_example', # String | 
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `name` - Name * `-name` - Name (descending) * `pulp_labels` - Pulp labels * `-pulp_labels` - Pulp labels (descending) * `base_path` - Base path * `-base_path` - Base path (descending) * `hidden` - Hidden * `-hidden` - Hidden (descending) * `private` - Private * `-private` - Private (descending) * `description` - Description * `-description` - Description (descending) * `pk` - Pk * `-pk` - Pk (descending)
  pulp_href__in: ['pulp_href__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_id__in: ['pulp_id__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  q: 'q_example', # String | 
  repository: 'repository_example', # String | Filter results where repository matches value
  repository__in: ['repository__in_example'], # Array<String> | Filter results where repository is in a comma-separated list of values
  with_content: 'with_content_example', # String | Filter distributions based on the content served by them
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List container distributions
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **base_path** | **String**| Filter results where base_path matches value | [optional] 
 **base_path__contains** | **String**| Filter results where base_path contains value | [optional] 
 **base_path__icontains** | **String**| Filter results where base_path contains value | [optional] 
 **base_path__in** | [**Array&lt;String&gt;**](String.md)| Filter results where base_path is in a comma-separated list of values | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__iexact** | **String**| Filter results where name matches value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__istartswith** | **String**| Filter results where name starts with value | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **namespace__name** | **String**|  | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;pulp_labels&#x60; - Pulp labels * &#x60;-pulp_labels&#x60; - Pulp labels (descending) * &#x60;base_path&#x60; - Base path * &#x60;-base_path&#x60; - Base path (descending) * &#x60;hidden&#x60; - Hidden * &#x60;-hidden&#x60; - Hidden (descending) * &#x60;private&#x60; - Private * &#x60;-private&#x60; - Private (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending) | [optional] 
 **pulp_href__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_id__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **q** | **String**|  | [optional] 
 **repository** | [**String**](.md)| Filter results where repository matches value | [optional] 
 **repository__in** | [**Array&lt;String&gt;**](String.md)| Filter results where repository is in a comma-separated list of values | [optional] 
 **with_content** | **String**| Filter distributions based on the content served by them | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerContainerDistributionResponseList**](PaginatedcontainerContainerDistributionResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(container_container_distribution_href, opts)

List roles

List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List roles
  result = api_instance.list_roles(container_container_distribution_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(container_container_distribution_href, opts)

List user permissions

List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List user permissions
  result = api_instance.my_permissions(container_container_distribution_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(container_container_distribution_href, patchedcontainer_container_distribution)

Update a container distribution

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
patchedcontainer_container_distribution = PulpContainerClient::PatchedcontainerContainerDistribution.new # PatchedcontainerContainerDistribution | 

begin
  #Update a container distribution
  result = api_instance.partial_update(container_container_distribution_href, patchedcontainer_container_distribution)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **patchedcontainer_container_distribution** | [**PatchedcontainerContainerDistribution**](PatchedcontainerContainerDistribution.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> ContainerContainerDistributionResponse read(container_container_distribution_href, opts)

Inspect a container distribution

The Container Distribution will serve the latest version of a Repository if ``repository`` is specified. The Container Distribution will serve a specific repository version if ``repository_version``. Note that **either** ``repository`` or ``repository_version`` can be set on a Container Distribution, but not both.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect a container distribution
  result = api_instance.read(container_container_distribution_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerContainerDistributionResponse**](ContainerContainerDistributionResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(container_container_distribution_href, nested_role)

Remove a role

Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
nested_role = PulpContainerClient::NestedRole.new # NestedRole | 

begin
  #Remove a role
  result = api_instance.remove_role(container_container_distribution_href, nested_role)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## set_label

> SetLabelResponse set_label(container_container_distribution_href, set_label)

Set a label

Set a single pulp_label on the object to a specific value or null.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
set_label = PulpContainerClient::SetLabel.new # SetLabel | 

begin
  #Set a label
  result = api_instance.set_label(container_container_distribution_href, set_label)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->set_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **set_label** | [**SetLabel**](SetLabel.md)|  | 

### Return type

[**SetLabelResponse**](SetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## unset_label

> UnsetLabelResponse unset_label(container_container_distribution_href, unset_label)

Unset a label

Unset a single pulp_label on the object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
unset_label = PulpContainerClient::UnsetLabel.new # UnsetLabel | 

begin
  #Unset a label
  result = api_instance.unset_label(container_container_distribution_href, unset_label)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->unset_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **unset_label** | [**UnsetLabel**](UnsetLabel.md)|  | 

### Return type

[**UnsetLabelResponse**](UnsetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(container_container_distribution_href, container_container_distribution)

Update a container distribution

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::DistributionsContainerApi.new
container_container_distribution_href = 'container_container_distribution_href_example' # String | 
container_container_distribution = PulpContainerClient::ContainerContainerDistribution.new # ContainerContainerDistribution | 

begin
  #Update a container distribution
  result = api_instance.update(container_container_distribution_href, container_container_distribution)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling DistributionsContainerApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_distribution_href** | **String**|  | 
 **container_container_distribution** | [**ContainerContainerDistribution**](ContainerContainerDistribution.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

