# PulpContainerClient::RepositoriesContainerApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add**](RepositoriesContainerApi.md#add) | **POST** {container_container_repository_href}add/ | Add content
[**add_role**](RepositoriesContainerApi.md#add_role) | **POST** {container_container_repository_href}add_role/ | Add a role
[**build_image**](RepositoriesContainerApi.md#build_image) | **POST** {container_container_repository_href}build_image/ | Build an Image
[**copy_manifests**](RepositoriesContainerApi.md#copy_manifests) | **POST** {container_container_repository_href}copy_manifests/ | Copy manifests
[**copy_tags**](RepositoriesContainerApi.md#copy_tags) | **POST** {container_container_repository_href}copy_tags/ | Copy tags
[**create**](RepositoriesContainerApi.md#create) | **POST** /pulp/api/v3/repositories/container/container/ | Create a container repository
[**delete**](RepositoriesContainerApi.md#delete) | **DELETE** {container_container_repository_href} | Delete a container repository
[**list**](RepositoriesContainerApi.md#list) | **GET** /pulp/api/v3/repositories/container/container/ | List container repositorys
[**list_roles**](RepositoriesContainerApi.md#list_roles) | **GET** {container_container_repository_href}list_roles/ | List roles
[**my_permissions**](RepositoriesContainerApi.md#my_permissions) | **GET** {container_container_repository_href}my_permissions/ | List user permissions
[**partial_update**](RepositoriesContainerApi.md#partial_update) | **PATCH** {container_container_repository_href} | Update a container repository
[**read**](RepositoriesContainerApi.md#read) | **GET** {container_container_repository_href} | Inspect a container repository
[**remove**](RepositoriesContainerApi.md#remove) | **POST** {container_container_repository_href}remove/ | Remove content
[**remove_role**](RepositoriesContainerApi.md#remove_role) | **POST** {container_container_repository_href}remove_role/ | Remove a role
[**set_label**](RepositoriesContainerApi.md#set_label) | **POST** {container_container_repository_href}set_label/ | Set a label
[**sign**](RepositoriesContainerApi.md#sign) | **POST** {container_container_repository_href}sign/ | Sign images in the repo
[**sync**](RepositoriesContainerApi.md#sync) | **POST** {container_container_repository_href}sync/ | Sync from a remote
[**tag**](RepositoriesContainerApi.md#tag) | **POST** {container_container_repository_href}tag/ | Create a Tag
[**unset_label**](RepositoriesContainerApi.md#unset_label) | **POST** {container_container_repository_href}unset_label/ | Unset a label
[**untag**](RepositoriesContainerApi.md#untag) | **POST** {container_container_repository_href}untag/ | Delete a tag
[**update**](RepositoriesContainerApi.md#update) | **PUT** {container_container_repository_href} | Update a container repository



## add

> AsyncOperationResponse add(container_container_repository_href, recursive_manage)

Add content

Trigger an asynchronous task to recursively add container content.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
recursive_manage = PulpContainerClient::RecursiveManage.new # RecursiveManage | 

begin
  #Add content
  result = api_instance.add(container_container_repository_href, recursive_manage)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->add: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **recursive_manage** | [**RecursiveManage**](RecursiveManage.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## add_role

> NestedRoleResponse add_role(container_container_repository_href, nested_role)

Add a role

Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
nested_role = PulpContainerClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(container_container_repository_href, nested_role)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## build_image

> AsyncOperationResponse build_image(container_container_repository_href, opts)

Build an Image

Trigger an asynchronous task to build an OCI image from a Containerfile. A new repository version is created with the new image and tag. This API is in tech preview. Backwards compatibility when upgrading is not guaranteed.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
opts = {
  containerfile_artifact: 'containerfile_artifact_example', # String | Artifact representing the Containerfile that should be used to run podman-build.
  containerfile: File.new('/path/to/file'), # File | An uploaded Containerfile that should be used to run podman-build.
  tag: 'latest', # String | A tag name for the new image being built.
  artifacts: nil # Object | A JSON string where each key is an artifact href and the value is it's relative path (name) inside the /pulp_working_directory of the build container executing the Containerfile.
}

begin
  #Build an Image
  result = api_instance.build_image(container_container_repository_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->build_image: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **containerfile_artifact** | **String**| Artifact representing the Containerfile that should be used to run podman-build. | [optional] 
 **containerfile** | **File**| An uploaded Containerfile that should be used to run podman-build. | [optional] 
 **tag** | **String**| A tag name for the new image being built. | [optional] [default to &#39;latest&#39;]
 **artifacts** | [**Object**](Object.md)| A JSON string where each key is an artifact href and the value is it&#39;s relative path (name) inside the /pulp_working_directory of the build container executing the Containerfile. | [optional] 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json


## copy_manifests

> AsyncOperationResponse copy_manifests(container_container_repository_href, manifest_copy)

Copy manifests

Trigger an asynchronous task to copy manifests

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
manifest_copy = PulpContainerClient::ManifestCopy.new # ManifestCopy | 

begin
  #Copy manifests
  result = api_instance.copy_manifests(container_container_repository_href, manifest_copy)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->copy_manifests: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **manifest_copy** | [**ManifestCopy**](ManifestCopy.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## copy_tags

> AsyncOperationResponse copy_tags(container_container_repository_href, tag_copy)

Copy tags

Trigger an asynchronous task to copy tags

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
tag_copy = PulpContainerClient::TagCopy.new # TagCopy | 

begin
  #Copy tags
  result = api_instance.copy_tags(container_container_repository_href, tag_copy)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->copy_tags: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **tag_copy** | [**TagCopy**](TagCopy.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> ContainerContainerRepositoryResponse create(container_container_repository)

Create a container repository

ViewSet for container repo.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository = PulpContainerClient::ContainerContainerRepository.new # ContainerContainerRepository | 

begin
  #Create a container repository
  result = api_instance.create(container_container_repository)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository** | [**ContainerContainerRepository**](ContainerContainerRepository.md)|  | 

### Return type

[**ContainerContainerRepositoryResponse**](ContainerContainerRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(container_container_repository_href)

Delete a container repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 

begin
  #Delete a container repository
  result = api_instance.delete(container_container_repository_href)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedcontainerContainerRepositoryResponseList list(opts)

List container repositorys

ViewSet for container repo.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
opts = {
  latest_with_content: 'latest_with_content_example', # String | Content Unit referenced by HREF
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__iexact: 'name__iexact_example', # String | Filter results where name matches value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__istartswith: 'name__istartswith_example', # String | Filter results where name starts with value
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `name` - Name * `-name` - Name (descending) * `pulp_labels` - Pulp labels * `-pulp_labels` - Pulp labels (descending) * `description` - Description * `-description` - Description (descending) * `next_version` - Next version * `-next_version` - Next version (descending) * `retain_repo_versions` - Retain repo versions * `-retain_repo_versions` - Retain repo versions (descending) * `user_hidden` - User hidden * `-user_hidden` - User hidden (descending) * `pk` - Pk * `-pk` - Pk (descending)
  pulp_href__in: ['pulp_href__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_id__in: ['pulp_id__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  q: 'q_example', # String | 
  remote: 'remote_example', # String | Foreign Key referenced by HREF
  retain_repo_versions: 56, # Integer | Filter results where retain_repo_versions matches value
  retain_repo_versions__gt: 56, # Integer | Filter results where retain_repo_versions is greater than value
  retain_repo_versions__gte: 56, # Integer | Filter results where retain_repo_versions is greater than or equal to value
  retain_repo_versions__isnull: true, # Boolean | Filter results where retain_repo_versions has a null value
  retain_repo_versions__lt: 56, # Integer | Filter results where retain_repo_versions is less than value
  retain_repo_versions__lte: 56, # Integer | Filter results where retain_repo_versions is less than or equal to value
  retain_repo_versions__ne: 56, # Integer | Filter results where retain_repo_versions not equal to value
  retain_repo_versions__range: [56], # Array<Integer> | Filter results where retain_repo_versions is between two comma separated values
  with_content: 'with_content_example', # String | Content Unit referenced by HREF
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List container repositorys
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latest_with_content** | **String**| Content Unit referenced by HREF | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__iexact** | **String**| Filter results where name matches value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__istartswith** | **String**| Filter results where name starts with value | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;pulp_labels&#x60; - Pulp labels * &#x60;-pulp_labels&#x60; - Pulp labels (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;next_version&#x60; - Next version * &#x60;-next_version&#x60; - Next version (descending) * &#x60;retain_repo_versions&#x60; - Retain repo versions * &#x60;-retain_repo_versions&#x60; - Retain repo versions (descending) * &#x60;user_hidden&#x60; - User hidden * &#x60;-user_hidden&#x60; - User hidden (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending) | [optional] 
 **pulp_href__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_id__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **q** | **String**|  | [optional] 
 **remote** | [**String**](.md)| Foreign Key referenced by HREF | [optional] 
 **retain_repo_versions** | **Integer**| Filter results where retain_repo_versions matches value | [optional] 
 **retain_repo_versions__gt** | **Integer**| Filter results where retain_repo_versions is greater than value | [optional] 
 **retain_repo_versions__gte** | **Integer**| Filter results where retain_repo_versions is greater than or equal to value | [optional] 
 **retain_repo_versions__isnull** | **Boolean**| Filter results where retain_repo_versions has a null value | [optional] 
 **retain_repo_versions__lt** | **Integer**| Filter results where retain_repo_versions is less than value | [optional] 
 **retain_repo_versions__lte** | **Integer**| Filter results where retain_repo_versions is less than or equal to value | [optional] 
 **retain_repo_versions__ne** | **Integer**| Filter results where retain_repo_versions not equal to value | [optional] 
 **retain_repo_versions__range** | [**Array&lt;Integer&gt;**](Integer.md)| Filter results where retain_repo_versions is between two comma separated values | [optional] 
 **with_content** | **String**| Content Unit referenced by HREF | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerContainerRepositoryResponseList**](PaginatedcontainerContainerRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(container_container_repository_href, opts)

List roles

List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List roles
  result = api_instance.list_roles(container_container_repository_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(container_container_repository_href, opts)

List user permissions

List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List user permissions
  result = api_instance.my_permissions(container_container_repository_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(container_container_repository_href, patchedcontainer_container_repository)

Update a container repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
patchedcontainer_container_repository = PulpContainerClient::PatchedcontainerContainerRepository.new # PatchedcontainerContainerRepository | 

begin
  #Update a container repository
  result = api_instance.partial_update(container_container_repository_href, patchedcontainer_container_repository)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **patchedcontainer_container_repository** | [**PatchedcontainerContainerRepository**](PatchedcontainerContainerRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> ContainerContainerRepositoryResponse read(container_container_repository_href, opts)

Inspect a container repository

ViewSet for container repo.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect a container repository
  result = api_instance.read(container_container_repository_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerContainerRepositoryResponse**](ContainerContainerRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## remove

> AsyncOperationResponse remove(container_container_repository_href, recursive_manage)

Remove content

Trigger an async task to recursively remove container content.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
recursive_manage = PulpContainerClient::RecursiveManage.new # RecursiveManage | 

begin
  #Remove content
  result = api_instance.remove(container_container_repository_href, recursive_manage)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->remove: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **recursive_manage** | [**RecursiveManage**](RecursiveManage.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(container_container_repository_href, nested_role)

Remove a role

Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
nested_role = PulpContainerClient::NestedRole.new # NestedRole | 

begin
  #Remove a role
  result = api_instance.remove_role(container_container_repository_href, nested_role)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## set_label

> SetLabelResponse set_label(container_container_repository_href, set_label)

Set a label

Set a single pulp_label on the object to a specific value or null.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
set_label = PulpContainerClient::SetLabel.new # SetLabel | 

begin
  #Set a label
  result = api_instance.set_label(container_container_repository_href, set_label)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->set_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **set_label** | [**SetLabel**](SetLabel.md)|  | 

### Return type

[**SetLabelResponse**](SetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## sign

> AsyncOperationResponse sign(container_container_repository_href, repository_sign)

Sign images in the repo

Trigger an asynchronous task to sign content.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
repository_sign = PulpContainerClient::RepositorySign.new # RepositorySign | 

begin
  #Sign images in the repo
  result = api_instance.sign(container_container_repository_href, repository_sign)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->sign: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **repository_sign** | [**RepositorySign**](RepositorySign.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(container_container_repository_href, container_repository_sync_url)

Sync from a remote

Trigger an asynchronous task to sync content.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
container_repository_sync_url = PulpContainerClient::ContainerRepositorySyncURL.new # ContainerRepositorySyncURL | 

begin
  #Sync from a remote
  result = api_instance.sync(container_container_repository_href, container_repository_sync_url)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **container_repository_sync_url** | [**ContainerRepositorySyncURL**](ContainerRepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## tag

> AsyncOperationResponse tag(container_container_repository_href, tag_image)

Create a Tag

Trigger an asynchronous task to tag an image in the repository

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
tag_image = PulpContainerClient::TagImage.new # TagImage | 

begin
  #Create a Tag
  result = api_instance.tag(container_container_repository_href, tag_image)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->tag: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **tag_image** | [**TagImage**](TagImage.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## unset_label

> UnsetLabelResponse unset_label(container_container_repository_href, unset_label)

Unset a label

Unset a single pulp_label on the object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
unset_label = PulpContainerClient::UnsetLabel.new # UnsetLabel | 

begin
  #Unset a label
  result = api_instance.unset_label(container_container_repository_href, unset_label)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->unset_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **unset_label** | [**UnsetLabel**](UnsetLabel.md)|  | 

### Return type

[**UnsetLabelResponse**](UnsetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## untag

> AsyncOperationResponse untag(container_container_repository_href, un_tag_image)

Delete a tag

Trigger an asynchronous task to untag an image in the repository

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
un_tag_image = PulpContainerClient::UnTagImage.new # UnTagImage | 

begin
  #Delete a tag
  result = api_instance.untag(container_container_repository_href, un_tag_image)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->untag: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **un_tag_image** | [**UnTagImage**](UnTagImage.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(container_container_repository_href, container_container_repository)

Update a container repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerApi.new
container_container_repository_href = 'container_container_repository_href_example' # String | 
container_container_repository = PulpContainerClient::ContainerContainerRepository.new # ContainerContainerRepository | 

begin
  #Update a container repository
  result = api_instance.update(container_container_repository_href, container_container_repository)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_repository_href** | **String**|  | 
 **container_container_repository** | [**ContainerContainerRepository**](ContainerContainerRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

